LogoRecal
Rest apiEndpoints

Get Unified Event

GET
/v1/users/{userId}/calendar/events/meta/{metaId}

Get an event by metaId for a user across all their calendars

AuthorizationBearer <token>

Recal API token

In: header

Path Parameters

metaId*string
userId*string
Match^[A-Za-z0-9][A-Za-z0-9._-]{2,127}$

Query Parameters

provider?array<>|unknown|unknown

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/users/user_123/calendar/events/meta/string"
{  "data": {    "attendees": [      {        "email": "string",        "originals": [],        "self": true      }    ],    "originals": [],    "description": "string",    "end": "2019-08-24T14:15:22Z",    "location": "string",    "metaId": "string",    "start": "2019-08-24T14:15:22Z",    "subject": "string"  }}